org.apache.ignite.plugin.extensions.communication

## Interface MessageFactory

All Superinterfaces:
  Extension

All Known Subinterfaces:
  IgniteMessageFactory, MessageFactoryProvider

All Known Implementing Classes:
  GridIoMessageFactory, IgniteMessageFactoryImpl

Deprecated.
Use `MessageFactoryProvider` instead.

    @Deprecated
    public interface MessageFactory
    extends Extension

Factory for communication messages.

A plugin can provide his own message factory as an extension if it uses any custom messages (all message must extend `Message` class).

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`@Nullable Message` `create(short type)` Deprecated. Creates new message instance of provided type.

### Method Detail

#### create

    @Nullable
    @Nullable Message create(short type)

Deprecated.
Creates new message instance of provided type.

This method should return `null` if provided message type is unknown to this factory.

Parameters:
  `type` - Message type.
Returns:
  Message instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022